xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) Bogdan Sinitsyn (2016)
License | BSD3-style (see LICENSE)
Maintainer | bogdan.sinitsyn@gmail.com
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Util.Minimize

Description

Stores some common utilities for modules used for window minimizing/maximizing

# Documentation

type RectMap = Map Window (Maybe RationalRect) Source #

data Minimized Source #

Constructors

Minimized |

Fields

- rectMap :: RectMap
- minimizedStack :: [Window]

Instances

Eq Minimized Source # |
Instance details Defined in XMonad.Util.Minimize Methods (==) :: Minimized -> Minimized -> Bool Source # (/=) :: Minimized -> Minimized -> Bool Source #
Read Minimized Source # |
Instance details Defined in XMonad.Util.Minimize Methods readsPrec :: Int -> ReadS Minimized Source # readList :: ReadS [Minimized] Source # readPrec :: ReadPrec Minimized Source # readListPrec :: ReadPrec [Minimized] Source #
Show Minimized Source # |
Instance details Defined in XMonad.Util.Minimize Methods showsPrec :: Int -> Minimized -> ShowS Source # show :: Minimized -> String Source # showList :: [Minimized] -> ShowS Source #
ExtensionClass Minimized Source # |
Instance details Defined in XMonad.Util.Minimize Methods initialValue :: Minimized Source # extensionType :: Minimized -> StateExtension Source #